servant-0.20.3.0: A family of combinators for defining webservices APIs

Safe Haskell | None
Language | Haskell2010

Servant.API.Host

Synopsis

- data Host (sym :: Symbol)

# Documentation

data Host (sym :: Symbol) Source #

Match against the given host.

This allows you to define APIs over multiple domains. For example:

    type API = Host "api1.example" :> API1
          :<|> Host "api2.example" :> API2